﻿namespace TestProject
{
    /// <summary>
    /// 매트릭스
    /// </summary>
    public static class Matrix
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Laplacian 5X5 - Laplacian5X5

        /// <summary>
        /// Laplacian 5X5
        /// </summary>
        public static double[,] Laplacian5X5
        {
            get
            {
                return new double[,]
                {
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, 24, -1, -1 },
                    { -1, -1, -1, -1, -1 },
                    { -1, -1, -1, -1, -1 }
                };
            }
        }

        #endregion
        #region Gaussian 5X5 Type 1 - Gaussian5X5Type1

        /// <summary>
        /// Gaussian 5X5 Type 1
        /// </summary>
        public static double[,] Gaussian5X5Type1
        {
            get
            {
                return new double[,]
                {
                    { 2, 4 , 5 , 4 , 2 },
                    { 4, 9 , 12, 9 , 4 },
                    { 5, 12, 15, 12, 5 },
                    { 4, 9 , 12, 9 , 4 },
                    { 2, 4 , 5 , 4 , 2 }
                };
            }
        }

        #endregion
    }
}